## gtk4 4.14.4%2Bds

=== debian/changelog ===
gtk4 (4.14.4+ds-8) unstable; urgency=medium

  * d/p/debian/tests-Mark-memorytexture-as-expected-to-fail-on-big-endian.patch:
    Update patch to also not install its .test file on big-endian
    architectures.
    This seems the easiest way to avoid running it as an autopkgtest,
    which we know won't work, for the same reasons it doesn't work
    at build-time.
  * d/rules: Export DEB_*_MAINT_APPEND instead of appending to CFLAGS,
    LDFLAGS (see #1077732 for a request to document the intended pattern)

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Aug 2024 15:28:56 +0100

gtk4 (4.14.4+ds-7) unstable; urgency=medium

  * d/rules: Append to CFLAGS for i386 the same way we append to LDFLAGS.
    Using DEB_CFLAGS_MAINT_APPEND here worked a few days ago, but does not
    seem to work now, possibly affected by the changes in dpkg 1.22.10.
    (Closes: #1077690)
  * d/changelog: Mention #1077675 in previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Jul 2024 23:27:57 +0100

gtk4 (4.14.4+ds-6) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add patch to fix build tests on the 31st day of the month
    (Closes: #1077675)

  [ Simon McVittie ]
  * Add a missing item to the previous changelog entry

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Jul 2024 16:18:23 -0400

gtk4 (4.14.4+ds-5) unstable; urgency=medium

  [ Simon McVittie ]
  * d/rules: Add bug reference for #1077289
  * d/changelog: Previous release only mitigated #1077178 rather than
    fixing it
  * d/rules: Use softpipe instead of llvmpipe on powerpc, sparc64.
    Most tests crash with a LLVM assertion failure on these -ports
    architectures. Maybe llvmpipe is broken on these architectures,
    and if so, maybe softpipe will have better success?

  [ Jeremy Bícha ]
  * Release to unstable (Closes: #1072395)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Jul 2024 14:30:30 -0400

gtk4 (4.14.4+ds-4) experimental; urgency=medium

  [ Matthias Geiger ]
  * d/rules: Skip label-shadows reftest on mips64el and riscv64.
    The rendering differences are minor enough to not reflect a real problem
    for applications. (Mitigates: #1077178)

  [ Simon McVittie ]
  * d/patches: Improve patch metadata
  * d/patches: Rearrange patch series, closest-to-upstream first.
    No functional change.
  * d/p/tests-Fix-signature-of-GtkTestATContext-update-selection-.patch:
    Add patch to fix a11y/text, a11y/textview tests instead of skipping them
    (Closes: #1077181)
  * d/p/gskpathop-Introduce-a-type-to-represent-an-aligned-graphe.patch:
    Align GskPath points to an 8-byte boundary where necessary
    (Closes: #1077192, #1077288)
  * d/rules: Skip headless test suite explicitly, rather than via a patch.
    It's equally easy to skip these tests this way, and less delta vs.
    upstream in our patch series makes it easier to manage.
  * d/rules: Reduce test suites specifically skipped on big-endian.
    We now skip these test suites unconditionally on all architectures,
    because upstream say they are very sensitive to small behaviour
    changes in the GL driver. Given that, there's no need to skip them a
    second time on big-endian systems.
  * d/p/gskvulkanmemory.c-Use-VK_NULL_HANDLE-for-VkDeviceMemory.patch,
    d/p/gdkvulkancontext.c-Use-pointers-to-hash-VkShaderModule.patch,
    d/p/gskvulkandevice.c-Put-Vk-Pipeline-RenderPass-in-structure.patch:
    Add patches from upstream 4.14.x branch to fix build on i386.
    The Vulkan renderer in the previous i386 package built successfully with
    gcc 13, but probably didn't actually work. gcc 14 is stricter about
    implicit integer/pointer conversions, so it failed to build.
  * d/rules: Build with -ffloat-store on i386.
    Some of the tests (and more in 4.15.x) fail if this is not done,
    because i387 excess precision results in numeric values being
    calculated differently. Because few GTK developers run it on i386
    (and in particular, upstream do not), running the test suite and not
    skipping more of it than strictly necessary is important, because
    that's the only mechanism available to discover whether the library
    has regressed on less-used architectures.
    (Closes: #1077289)
  * d/p/gdk-Check-some-assertions-on-our-architectures.patch:
    Check some assertions for the GTK upstream maintainers.
    This has no runtime impact, but will fail the build if some reasonable
    assumptions turn out to be untrue.
  * d/control: Depend on libgles2.
    This is used by default since 4.14. It isn't strictly mandatory because
    another backend can be chosen via environment variables, but the
    failure mode if it is missing is very bad (applications crash) so it
    seems proportionate to make it a Depends. (Closes: #1077287)

 -- Simon McVittie <smcv@debian.org>  Sun, 28 Jul 2024 19:24:05 +0100

gtk4 (4.14.4+ds-3) experimental; urgency=medium

  * Extra workarounds for tests issues in the new version
  * debian/ignore.keyfile:
    - increase tolerated-diff-pixels to workaround some reftests still
      failing the build on s390x despite being in the ignore list
  * debian/patches/ignore_a11ytext_i386.patch:
    - ignore a11y/text and a11y/textview tests on i386 for now, they
      are failing on the builders for some reason
  * d/p/d/tests-Mark-memorytexture-as-expected-to-fail-on-big-endian.patch:
    - mark also memorytexture as expected to fail on big endian
  * debian/rules:
    - disable gsk tests on i386 and arm since they are currently buggy
    - ignore extra reftests that are now failing on s390x

 -- Sebastien Bacher <seb128@ubuntu.com>  Sun, 14 Jul 2024 10:04:09 -0400

gtk4 (4.14.4+ds-2) experimental; urgency=medium

  * Increase general build test timeout. Thanks to Matthias Geiger.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 Jul 2024 07:54:18 -0400

gtk4 (4.14.4+ds-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 03 May 2024 18:03:37 -0400


