## gtk4 4.14.5%2Bds

=== debian/changelog ===
gtk4 (4.14.5+ds-0ubuntu0.5) noble; urgency=medium

  * d/p/lp2105946-gtklistbase-Do-not-select-invalid-positions.patch:
    cherry-pick fix from upstream to fix a crash when pressing the arrow keys
    in an empty directory (LP: #2105946).

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Fri, 08 Aug 2025 09:35:08 -0700

gtk4 (4.14.5+ds-0ubuntu0.4) noble; urgency=medium

  * d/p/skip-s390-tests-lp2119291.patch: skip some gtk4 tests that are failing
    only on s390x (LP: #2119291)
  * Revert: "d/rules: skip some more s390x tests."

 -- Andreas Hasenack <andreas@canonical.com>  Sat, 02 Aug 2025 14:10:23 -0300

gtk4 (4.14.5+ds-0ubuntu0.3) noble; urgency=medium

  * d/rules: skip some more s390x tests. (LP: #2119291)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Sat, 02 Aug 2025 01:05:22 +0530

gtk4 (4.14.5+ds-0ubuntu0.2) noble; urgency=medium

  * Fix accessibility groups (LP: #2119005)

 -- Sergio Costas Rodriguez <sergio.costas@canonical.com>  Tue, 29 Jul 2025 15:06:32 +0200

gtk4 (4.14.5+ds-0ubuntu0.1) noble; urgency=medium

  [ Carlos Nihelton ]
  * New upstream release (LP: #2109978)

  [ Simon McVittie ]
  * Depend on libgles2 (Closes: #1077287, LP: #2098698)

  [ Alessandro Astone ]
  * Fix keyboard navigation in lists with only a single item (LP: #2066062)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 27 Jun 2025 14:24:37 +0200

gtk4 (4.14.2+ds-1ubuntu3) noble; urgency=medium

  * Cherry-pick upstream fix for Orca not reading shortcuts in actions
    (LP: #2106744).

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Thu, 10 Apr 2025 15:30:28 +0200

gtk4 (4.14.2+ds-1ubuntu2) noble; urgency=medium

  [ Jeremy Bícha ]
  * missing-sources: Update emojibase to match what was done in gtk 4.16.8
    to update the emoji chooser for Unicode 16 (LP: #2096803)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Jan 2025 17:08:55 -0500
