## gtk4 4.14.5+ds

=== debian/changelog ===
gtk4 (4.14.5+ds-0ubuntu0.6) noble; urgency=medium

  [ Sergio Costas Rodriguez ]
  * Default to the Cairo renderer on s390x (LP: #2122598)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 26 Sep 2025 15:28:51 +0800
