=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gtk4
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: adwaita-icon-theme <!nocheck>,
                at-spi2-core <!nocheck>,
@@ -27,8 +28,7 @@
                libcairo2-dev,
                libcolord-dev <!pkg.gtk4.nocolord>,
                libcloudproviders-dev (>= 0.3.1),
-               libcpdb-dev (>= 2.0~b5),
-               libcpdb-frontend-dev (>= 2.0~b5),
+               libcups2-dev,
                libegl1-mesa-dev [linux-any],
                libepoxy-dev,
                libfontconfig-dev,
@@ -95,7 +95,6 @@
          libgtk-4-common (>= ${source:Version})
 Provides: ${gtk:Provides}
 Recommends: libgtk-4-bin,
-            cpdb-backend-cups (>= 2.0~b5),
             iso-codes,
             librsvg2-common (>= 2.52.0),
             libgtk-4-media-gstreamer,
