=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,17 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/default.mk
 include /usr/share/dpkg/pkg-info.mk
-
-# Ensure the build aborts when there are still references to undefined symbols
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
-
-# Make the linker work a bit harder so dynamic loading can be done faster
-DEB_LDFLAGS_MAINT_APPEND += -Wl,-O1
-
-# https://bugs.debian.org/1077289
-ifeq (i386,$(DEB_HOST_ARCH_CPU))
-export DEB_CFLAGS_MAINT_APPEND = -ffloat-store
-endif
-
-include /usr/share/dpkg/default.mk
 
 dh_options =
 built_binaries := $(shell dh_listpackages)
 all_binaries := $(shell sed -ne 's/^Package: *//p' < debian/control)
+
+# Ensure the build aborts when there are still references to undefined symbols
+LDFLAGS += -Wl,-z,defs
+
+# Make the linker work a bit harder so dynamic loading can be done faster
+LDFLAGS += -Wl,-O1
 
 export APIVER := 4
 export SONAME := 1
@@ -74,8 +68,6 @@
 configure_flags_deb = \
 	-Dauto_features=enabled \
 	-Dbroadway-backend=true \
-	-Dprint-cpdb=enabled \
-	-Dprint-cups=disabled \
 	-Dx11-backend=true \
 	${NULL}
 
@@ -212,8 +204,8 @@
 
 export LIBGL_ALWAYS_SOFTWARE=true
 
-ifneq ($(filter mips% powerpc sparc%,$(DEB_HOST_ARCH_CPU)),)
-$(info Disabling use of llvmpipe on this CPU, see https://bugs.debian.org/993550)
+ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
+$(info Disabling use of llvmpipe due to mips family CPU, see https://bugs.debian.org/993550)
 export GALLIUM_DRIVER=softpipe
 endif
 
@@ -251,7 +243,6 @@
 skipped_suites = \
 	failing \
 	flaky \
-	headless \
 	wayland_failing \
 	wayland_gles_failing \
 	gsk-compare-broadway \
@@ -261,10 +252,13 @@
 	gsk-compare-vulkan \
 	$(NULL)
 
-# Skip label-reftest on riscv and mips since the diff is benign
-ifneq ($(filter mips% riscv64,$(DEB_HOST_ARCH_CPU)),)
-# https://bugs.debian.org/1077178
-ignore_reftests += label-shadows
+# skip gsk on 32 bits for now since they are buggy but those architectures
+# aren't supported upstream
+# https://gitlab.gnome.org/GNOME/gtk/-/issues/6395
+ifeq ($(DEB_BUILD_ARCH_BITS),32)
+skipped_suites += \
+	gtk:gsk \
+	$(NULL)
 endif
 
 # https://bugs.debian.org/1050312
@@ -278,3 +272,9 @@
 # These succeed with llvmpipe, but fail with softpipe
 # https://gitlab.gnome.org/GNOME/gtk/-/issues/6085
 # https://bugs.debian.org/1050077
+# https://bugs.debian.org/1051168
+fuzzy_gsk_compare += opacity-overdraw
+ignore_gsk_compare += border-one-rounded
+fuzzy_reftests += opacity
+
+# https://bugs.debian.org/1024391
