## gtk4 4.16.2+ds

=== debian/changelog ===
gtk4 (4.16.2+ds-2) experimental; urgency=medium

  [ Alessandro Astone ]
  * d/patches: Change default renderer back to ngl (LP: #2082017)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Sep 2024 17:42:30 +0200

gtk4 (4.16.2+ds-1) unstable; urgency=high

  * New upstream release
  * Remove patch applied in new release
  * Bump urgency to high since this includes 4.16 regression fixes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Sep 2024 09:59:19 -0400

gtk4 (4.16.1+ds-5) unstable; urgency=medium

  * d/*.lintian-overrides, d/source/lintian-overrides:
    Silence some false positives

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Sep 2024 15:41:26 +0100

gtk4 (4.16.1+ds-4) unstable; urgency=medium

  * d/p/wayland-Don-t-call-gdk_display_sync.patch:
    Add patch from upstream to fix crashes under kwin-wayland
    (Closes: #1081957)
  * d/p/gdk-Check-some-assertions-on-our-architectures.patch:
    Drop a patch that only added static assertions.
    These are now checked in gdk/gdkcolorprivate.h.
  * d/p/workarounds/testsuite-tools-validate-Use-softpipe-driver-for-validate.patch:
    Work around additional messages on stderr from llvmpipe now that Mesa
    is using LLVM 19
  * d/p/insttests:
    Split restoration of installed-tests into a topic directory
  * d/p/gstplayer:
    Split vendoring of gstplayer into a topic subdirectory
  * d/p/workarounds:
    Move all workarounds into a topic subdirectory
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Sep 2024 13:48:17 +0100

gtk4 (4.16.1+ds-3) experimental; urgency=medium

  [ Aurelien Jarno ]
  * Revert "d/rules: Use softpipe to run tests on riscv64".
    llvmpipe should work now that #1080475 has been fixed in
    llvm-toolchain-18. (Closes: #1081678)

  [ Simon McVittie ]
  * d/rules: Be more selective about disabling tests that fail with
    softpipe.
    If they succeed with llvmpipe, then we should be able to enable them
    on most architectures now.
  * d/rules: Mention status of llvmpipe on mips*, powerpc, sparc*.
    As of 2024-09-16, we still need to disable use of llvmpipe by forcing
    use of softpipe on these architectures, otherwise many tests crash.
  * Upload to experimental to avoid disrupting testing migration of 4.16.1
    if this doesn't work on buildds.

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Sep 2024 13:40:42 +0100

gtk4 (4.16.1+ds-2) unstable; urgency=medium

  * Release to unstable (Closes: #1079548)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 15 Sep 2024 17:11:16 -0400

gtk4 (4.16.1+ds-1) experimental; urgency=medium

  * New upstream release
    - d/patches: Drop patches that were applied upstream
  * d/run-tests.sh: Ensure temporary XDG_RUNTIME_DIR is mode 0700.
    This avoids warnings from e.g. weston.
  * Upload to experimental to check that this is buildable on all release
    architectures. If all goes well, the next upload can be to unstable.

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Sep 2024 16:07:02 +0100

gtk4 (4.16.0+ds-2) experimental; urgency=medium

  [ Simon McVittie ]
  * d/p/Revert-css-Simplify-theme-loading.patch:
    Add a regression fix from upstream
  * d/p/gdkgltexture-Avoid-use-after-free-when-switching-GdkGLCon.patch:
    Add patch to fix a use-after-free when using softpipe
  * d/rules: Ignore label-shadows reftest failure whenever we are using
    softpipe.
    Temporarily switching from llvmpipe to softpipe on an architecture
    where this previously worked (armel) causes this reftest to fail,
    which seems like evidence that the different result is a softpipe
    rendering difference.
  * d/p/testsuite-If-validation-result-is-not-as-expected-log-the.patch:
    Add proposed patch to improve diagnostics if the validate test fails
  * d/p/workarounds/scaling-test-Skip-floating-point-pixel-formats-with-Cairo.patch:
    Add a proposed patch to skip test-cases that have intermittent failures
  * d/p/workarounds/tests-Skip-floating-point-texture-scaling-tests-on-softpi.patch:
    Add a workaround for test failures on architectures that use softpipe
  * d/p/workarounds/memorytexture-test-Ignore-failures-with-FP-softpipe-ngl-o.patch:
    Add a patch to work around floating point textures not working on mips64el
    (Mitigates: #1081275)
  * d/p/debian/reftests-Allow-minor-differences-to-be-tolerated.patch:
    Fix a compiler warning

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Sep 2024 10:15:12 -0400

gtk4 (4.16.0+ds-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
  * d/rules: Use softpipe to run tests on riscv*, similar to mips*,
    powerpc and sparc*.
    The ORCJIT implementation of llvmpipe used on these architectures
    does not seem to be ready yet, and now that Mesa 24.2.1-4 has
    re-enabled softpipe (#1080475) we can use it to avoid llvmpipe issues.
    (Mitigates: #1080435)
  * d/copyright: Update
  * Refresh patch series

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Sep 2024 09:59:45 -0400

gtk4 (4.15.6+ds-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * Remove memorytexture patch: test should pass now on big-endian
    (Closes: #1077757)

  [ Simon McVittie ]
  * New upstream development release
  * d/copyright: Update
  * d/patches: Update patch series
  * d/p/gtkcssvariableset-Fix-listing-IDs-on-big-endian-machines.patch,
    d/p/gtkcssprovider-Fix-sorting-of-custom-property-IDs-on-64-b.patch:
    Fix crashes on 64-bit big-endian since 4.15.x (Closes: #1079546)
  * d/p/testsuite-Add-a-suite-for-tests-that-require-dev-udmabuf.patch,
    d/rules:
    Skip tests that require /dev/udmabuf, which is not currently available
    on Debian kernels, and unlikely to become available on buildds
  * d/p/gtkcssnumbervalue-Don-t-use-fesetround-on-ARM-softfloat.patch:
    Add a patch to work around fesetround() not working on armel
    (Closes: #1079545)
  * d/tests: Run templates.test again.
    This is believed to be reliable on all architectures supported by
    ci.debian.net now.

