=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gtk4
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: adwaita-icon-theme <!nocheck>,
                at-spi2-core <!nocheck>,
@@ -25,10 +24,11 @@
                gobject-introspection (>= 1.78.1-9~) <cross>,
                gsettings-desktop-schemas <!nocheck>,
                iso-codes <!nocheck>,
-               libcairo2-dev,
+               libcairo2-dev (>= 1.18.0),
                libcolord-dev <!pkg.gtk4.nocolord>,
                libcloudproviders-dev (>= 0.3.1),
-               libcups2-dev,
+               libcpdb-dev (>= 2.0~b5),
+               libcpdb-frontend-dev (>= 2.0~b5),
                libegl1-mesa-dev [linux-any],
                libepoxy-dev,
                libfontconfig-dev,
@@ -46,7 +46,7 @@
                libpolkit-gobject-1-dev [linux-any],
                librsvg2-common [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el s390x powerpc ppc64 riscv64 sparc64 x32] <!nocheck>,
                librsvg2-dev (>= 2.52.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
-               libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x powerpc ppc64],
+               libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
                libtiff-dev,
                libvulkan-dev [linux-any],
                libwayland-dev (>= 1.21.0) [linux-any],
@@ -69,7 +69,7 @@
                python3-docutils <!nodoc>,
                python3-gi (>= 3.40) <!nocheck>,
                sassc,
-               wayland-protocols (>= 1.32) [linux-any],
+               wayland-protocols (>= 1.36) [linux-any],
                weston [linux-any] <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -78,7 +78,7 @@
                      libglib2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4
 Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git
 Homepage: https://www.gtk.org/
@@ -95,6 +95,7 @@
          libgtk-4-common (>= ${source:Version})
 Provides: ${gtk:Provides}
 Recommends: libgtk-4-bin,
+            cpdb-backend-cups (>= 2.0~b5),
             iso-codes,
             librsvg2-common (>= 2.52.0),
             libgtk-4-media-gstreamer,
@@ -147,7 +148,7 @@
 Section: misc
 Architecture: any
 Multi-Arch: foreign
-Depends: gtk-update-icon-cache,
+Depends: gtk-update-icon-cache (>= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          libgtk-4-common (>= ${source:Version}),
@@ -168,15 +169,15 @@
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-gtk-4.0 (= ${binary:Version}),
-         libcairo2-dev (>= 1.14.0),
+         libcairo2-dev (>= 1.18.0),
          libegl1-mesa-dev [linux-any],
          libepoxy-dev (>= 1.0),
          libfontconfig-dev,
          libgdk-pixbuf-2.0-dev (>= 2.30.0),
          libglib2.0-dev (>= 2.76.0),
          libgraphene-1.0-dev (>= 1.9.1),
-         libpango1.0-dev (>= 1.50.0),
-         libwayland-dev (>= 1.16.91) [linux-any],
+         libpango1.0-dev (>= 1.52.0),
+         libwayland-dev (>= 1.21.0) [linux-any],
          libx11-dev,
          libxcomposite-dev,
          libxcursor-dev,
@@ -189,7 +190,7 @@
          libxrandr-dev,
          libvulkan-dev [linux-any],
          pkgconf,
-         wayland-protocols (>= 1.32) [linux-any],
+         wayland-protocols (>= 1.36) [linux-any],
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
@@ -295,20 +296,18 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-#Package: gtk-update-icon-cache
-#Section: misc
-#Architecture: any
-#Multi-Arch: foreign
-#Depends: ${misc:Depends},
-#         ${shlibs:Depends}
-#Breaks: libgtk2.0-bin (<< 2.24.30-2),
-#        libgtk-3-bin (<< 3.20.6-1)
-#Replaces: libgtk2.0-bin (<< 2.24.30-2),
-#          libgtk-3-bin (<< 3.20.6-1)
-#Description: icon theme caching utility
-# gtk-update-icon-cache creates mmap()able cache files for icon themes.
-# .
-# GTK can use the cache files created by gtk-update-icon-cache to avoid a lot
-# of system call and disk seek overhead when the application starts. Since the
-# format of the cache files allows them to be mmap()ed shared between multiple
-# applications, the overall memory consumption is reduced as well.
+Package: gtk-update-icon-cache
+Section: misc
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: libgtk-4-bin (<< 4.15)
+Replaces: libgtk-4-bin (<< 4.15)
+Description: icon theme caching utility
+ gtk-update-icon-cache creates mmap()able cache files for icon themes.
+ .
+ GTK can use the cache files created by gtk-update-icon-cache to avoid a lot
+ of system call and disk seek overhead when the application starts. Since the
+ format of the cache files allows them to be mmap()ed shared between multiple
+ applications, the overall memory consumption is reduced as well.
