=== debian/tests/control ===
--- 
+++ 
@@ -36,16 +36,3 @@
 Depends: dbus-daemon (>= 1.8), fonts-noto-core, gnome-desktop-testing (>= 2018.1-1~), gtk-4-tests, locales | locales-all, weston
 # Architecture: linux-any
 Restrictions: allow-stderr
-
-Test-Command: env GDK_BACKEND=x11 debian/tests/installed-tests-flaky
-Features: test-name=installed-tests-flaky-x11
-Classes: desktop, x11
-Depends: dbus-daemon (>= 1.8), fonts-noto-core, gnome-desktop-testing (>= 2018.1-1~), gtk-4-tests, locales | locales-all, xauth, xvfb
-Restrictions: allow-stderr, flaky
-
-Test-Command: env GDK_BACKEND=wayland debian/tests/installed-tests-flaky
-Features: test-name=installed-tests-flaky-wayland
-Classes: desktop, wayland, linux-only
-Depends: dbus-daemon (>= 1.8), fonts-noto-core, gnome-desktop-testing (>= 2018.1-1~), gtk-4-tests, locales | locales-all, weston
-# Architecture: linux-any
-Restrictions: allow-stderr, flaky
